Autor Tópico: Problema na atualização do Ubuntu (17.04 ==>17.10)  (Lida 604 vezes)

Offline Bertozzi72

  • Usuário Ubuntu
  • *
  • Mensagens: 64
    • Ver perfil
Problema na atualização do Ubuntu (17.04 ==>17.10)
« Online: 04 de Novembro de 2017, 11:32 »
Estava fazendo a atualização do Ubuntu da versão 17.04 para a versão 17.10 quando o computador travou por algum problema no hardware.

À partir deste momento não consigo mais logar no Ubuntu. A máquina dá o boot começa a inicialização do Ubuntu e trava naquela tela onde esta escrito Ubuntu no meio da tela e fica as bolinhas rolando embaixo.

Alguém saberia alguma forma de acertar esta atualização? Ou de pelo menos voltar para a versão antiga?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #1 Online: 04 de Novembro de 2017, 23:57 »
Então, @Bertozzi72,

Se iniciou um atualização que foi interrompida, enfim, não concluiu, então antes de mais nada melhor forçar para que retome e conclua.

Inicie o sistema pelo Recovey Mode (Modo de Recuperação), torne-se root, use o network para montar o disco, ou então monte manualmente, e então faça:

Código: [Selecionar]
dpkg --configure -a
(note que é duplo hífen antes do --configure)

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Bertozzi72

  • Usuário Ubuntu
  • *
  • Mensagens: 64
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #2 Online: 05 de Novembro de 2017, 11:55 »
Montei o disco com network, tornei-me root e dei o comando que vc indicou. Mas aparece mensagem de erro e não prossegue.

Mensagem de erro:
Código: [Selecionar]
Dpkg: erro ao processar o pacote acpid (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando apport (2.20.7-0ubuntu3) ...
Invoke-rc.d: could not determine current runlevel
Starting LSB: automátic crash report generation...

Teria alguma outra dica de como devo proceder?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #3 Online: 06 de Novembro de 2017, 01:18 »
Esse pacote acpid já vem instalado por padrão o Ubuntu 17.10.

Indo novamente pelo Recovery Mode, montado e tornando-se root, experimente fazer:

Código: [Selecionar]
apt-get install -f
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #4 Online: 06 de Novembro de 2017, 01:38 »
Se ainda não funcionar, então baixe diretamente o pacote:

Código: [Selecionar]
wget -c http://mirrors.kernel.org/ubuntu/pool/main/a/acpid/acpid_2.0.28-1ubuntu1_amd64.deb
Tente instalar inicialmente dessa forma:

Código: [Selecionar]
dpkg -i acpid_2.0.28-1ubuntu1_amd64.deb
Se não for e der alguma mensagem de erro **na instalação do pacote** force a instalação fazendo:

Código: [Selecionar]
dpkg -i --force-overwrite --force-configure-any acpid_2.0.28-1ubuntu1_amd64.deb
Note que há dois duplos hífens no comando acima

Isso posto faça novamente:

Código: [Selecionar]
dpkg --configure -a

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Bertozzi72

  • Usuário Ubuntu
  • *
  • Mensagens: 64
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #5 Online: 06 de Novembro de 2017, 16:15 »
Acredito que o problema esteja no acesso ao network.

Ao clicar em network aparece a seguinte mensagem de erro:

Código: [Selecionar]
greb:/ etc/resolv.conf Arquivo ou diretório não encontrado
Depois de clicar em network, clico em root para acessar a linha de comando.

 Ao tentar usar o seguinte comando:
Código: [Selecionar]
apt-get install -f
Aparece a seguinte mensagem de erro:

Código: [Selecionar]
E: o dpkg foi interrompido, para corrigir o problema tem de correr manualmente
dpkg --configure -a

Ao tentar utilizar o seguinte comando:

Código: [Selecionar]
wget -c http://mirrors.kernel.org/ubuntu/pool/main/a/acpid/acpid_2.0.28-1ubuntu1_amd64.deb

Aparece a seguinte mensagem de erro:
Código: [Selecionar]
wget: não foi possível resolver endereço de máquina "mirrors.kernel.org"
Teria alguma forma de usar o network por linha de comando para montar o disco? Ou algum comando para acessar a internet para poder baixar estas atualizações?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Problema na atualização do Ubuntu (17.04 ==>17.10)
« Resposta #6 Online: 06 de Novembro de 2017, 17:12 »
Acredito que o problema esteja no acesso ao network. [...]
Teria alguma forma de usar o network por linha de comando para montar o disco? Ou algum comando para acessar a internet para poder baixar estas atualizações?

Se não está conseguindo conexão internet no prompt no Recovey Mode (RM), só para não complicar muito a vida e resolver de forma rápida, sobe o sistema por um live-iso (pendrive ou cdrom) qualquer que tenha aí, baixe o arquivo acpid_2.0.28-1ubuntu1_amd64.deb, copie para dentro do disco, depois reinicie pelo Modo de Recuperação e execute o arquivo baixado.
É o modo fácil e pŕatico de fazer.
« Última modificação: 06 de Novembro de 2017, 17:18 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.